#ifndef MPBZ2_HELPERS_H
#define MPBZ2_HELPERS_H

#include "ring_buffer.h"
#include <bzlib.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>
#include <errno.h>

#define BZ2_BLOCKFACTOR 9
#define BZ2_VERBOSITY 0

/* set to 30 according to manual recommendation */
#define BZ2_WORKFACTOR 30

size_t fullWrite (FILE* dest, const void *ptr, size_t len);
void compressBlock(mpbz2_queue_item *item);
void logMsg(int level, const char *msg, ...);

#endif
